Skip to Content
SeyloDocs
API referenceNotifications

Update a notification channel

POST
/api/v1/notifications.updateChannel

Changes a channel's name, settings, enabled flag or default flag. The kind cannot change. Secret fields left out of config keep their stored value.

Needs notifications.manage, which owners and admins hold. Available to MCP clients and the assistant.

Authorization

cookieseylo_session<token>

Request Body

application/json
  1. body
channelId*string

Panel-issued id.

Match^[a-z0-9]{16}$
name?string
Length1 <= length <= 60
config?|||||||
enabled?boolean
isDefault?boolean

Response Body

Success.

application/json
  1. response
id*string

Panel-issued id.

Match^[a-z0-9]{16}$
name*string
kind*string|string|string|string|string|string|string|string
enabled*boolean
isDefault*boolean
config*|||||||
secretsSet*array<string>
target*string
usedBy*
lastDelivery*|null
createdAt*string
Formatdate-time
updatedAt*string
Formatdate-time
Example Request
curl -X POST 'https://example.com/api/v1/notifications.updateChannel' \  -H 'Content-Type: application/json' \  -d '{  "channelId": "string"}'
Example Response
{  "id": "string",  "name": "string",  "kind": "smtp",  "enabled": true,  "isDefault": true,  "config": {    "kind": "smtp",    "host": "string",    "port": 0,    "security": "starttls",    "username": "string",    "from": "string",    "to": [      "string"    ]  },  "secretsSet": [    "string"  ],  "target": "string",  "usedBy": {    "services": 0,    "defaults": true  },  "lastDelivery": {    "status": "sent",    "at": "2019-08-24T14:15:22Z",    "error": "string"  },  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z"}